Google Scholar 个人主页 API
按姓名查找 Google Scholar 作者档案。设置 engine=google_scholar_profiles 并将姓名传入 mauthors,即可获取匹配作者的列表,包含其 ID、所属机构和引用次数。
端点
章节标题“端点” GET https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY
参数
章节标题“参数”| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
api_key | string | 是 | 您的 SERP API 密钥 |
engine | string | 是 | 必须为 google_scholar_profiles |
mauthors | string | 是 | 要搜索的作者姓名 |
hl | string | 否 | 界面语言代码 |
after_author | string | 否 | 下一页令牌,必须跟在 before_author 值之后使用 |
before_author | string | 否 | 上一页令牌 |
请求示例
章节标题“请求示例”curl "https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY&mauthors=jake"import requests
params = { "engine": "google_scholar_profiles", "api_key": "YOUR_API_KEY", "mauthors": "jake",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar_profiles', api_key: 'YOUR_API_KEY', mauthors: 'jake',});const data = await (await fetch(url)).json();响应示例
章节标题“响应示例”{ "search_parameters": { "engine": "google_scholar_profiles", "mauthors": "jake" }, "profiles": [ { "name": "Jake Smith", "author_id": "LSsXyncAAAAJ", "affiliations": "Professor of Computer Science, MIT", "email": "Verified email at mit.edu", "cited_by": 18200, "interests": [ { "title": "Artificial Intelligence" } ], "thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..." } ], "pagination": { "next_page_token": "...", "next": "https://serp.shifter.io/v1?engine=google_scholar_profiles&mauthors=jake&after_author=..." }}